<div class="row">
    <div class="d-flex justify-content-sm-center justify-content-lg-start my-2">
        <li class="dropdown user user-menu open d-flex mb-1">
            <button class="btn btn-info ml-1" data-toggle="dropdown">
                <span>{{ punto.pdesc }}</span>
            </button>
            <ul class="dropdown-menu mt-2">
                <li class="user-header">
                    <div class="list-group">
                        <button class="list-group-item list-group-item-action list-group-item-success text-center"
                            *ngFor="let item of puntos;" (click)="listPointSelected(item)" [ngClass]="{'list-group-item-success': item.pdesc === punto.pdesc, 
                                            'list-group-item-warning': item.pdesc !== punto.pdesc }">
                            <span class="badge badge-pill badge-dark mb-2">Punto {{ item.Punto }}</span>
                            <br> {{ item.pdesc }}
                        </button>
                    </div>
                </li>
            </ul>
        </li>
        <li class="dropdown user user-menu open d-flex ml-1 mb-1" *ngIf="nuevoTurno">
            <button class="btn btn-info" data-toggle="dropdown" aria-expanded="false">
                <i class="fas fa-clock mr-1"></i>
                {{ nuevoTurno.pturno }}
            </button>
            <ul class="dropdown-menu mt-2">
                <li class="user-header">
                    <div class="row bg-light list-group m-0">
                        <div class="widget-content p-0">
                            <div class="widget-content-outer m-2">
                                <div class="widget-content-wrapper">
                                    <div class="widget-content-left w-100">
                                        <div class="widget-heading">Turno Actual</div>
                                    </div>
                                    <div class="widget-content-right">
                                        <div class="widget-numbers">
                                            {{ nuevoTurno.pturno }}
                                        </div>
                                    </div>
                                </div>
                                <div class="widget-content-wrapper">
                                    <div class="widget-content-left w-100">
                                        <div class="widget-heading">Turno Nuevo</div>
                                    </div>
                                    <div class="widget-content-right">
                                        <div class="widget-numbers">
                                            {{ nuevoTurno.sigturno }}
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="form-group m-2">
                            <button class="btn btn-success btn-block py-2" (click)="cambiarTurno()">Cambiar
                                Turno</button>
                        </div>
                    </div>
                </li>
            </ul>
        </li>
        <li class="d-flex ml-1 mb-1" *ngIf="!chequesMesa.length && formCheque.mesa">
            <button class="btn btn-secondary">
                <span class="">
                    <i class="fas fa-th-large mr-2"></i>{{ formCheque.mesa }}
                </span>
                <span class="badge badge-success ml-2" *ngIf="chequesMesa.length > 1">
                    <i class="fas fa-ticket-alt mr-1"></i>{{ chequesMesa.length }}
                </span>
            </button>
        </li>
        <li class="d-flex ml-1 mb-1" *ngIf="chequesMesa.length">
            <div class="dropdown d-flex">
                <button class="btn btn-secondary px-3 dropdown-toggle" id="dropdownMenu2" data-toggle="dropdown"
                    aria-haspopup="true" aria-expanded="false" *ngIf="chequesMesa[0].cMesa">
                    <span>
                        <i class="fas fa-th-large mr-1"></i> {{ chequesMesa[0].cMesa }}
                        <span class="badge badge-success ml-1" *ngIf="chequesMesa.length > 1">
                            <i class="fas fa-ticket-alt mr-1"></i> {{ chequesMesa.length }}
                        </span>
                    </span>
                </button>
                <div class="dropdown-menu bg-light" aria-labelledby="dropdownMenu2">
                    <ng-container *ngFor="let item of chequesMesa">
                        <button class="btn dropdown-item my-1 py-3" *ngIf="item.lView"
                            [ngClass]="{'bg-secondary text-white': item.iCheque === formCheque.icheque}"
                            (click)="changeFolio(item);">
                            # Cheque {{ item.iCheque }}
                            <span class="badge"
                                [ngClass]="{'badge-success': item.pea === 'A', 'badge-warning': item.pea === 'I'}">
                                {{ item.pea }}
                            </span>
                        </button>
                    </ng-container>
                </div>
            </div>
        </li>
        <li class="d-flex ml-1 mb-1" *ngIf="formCheque && formCheque.mesero">
            <button class="btn btn-secondary">
                <i class="fas fa-user mr-2"></i>{{ formCheque.mesero }}
            </button>
        </li>
    </div>
    <div class="col d-flex justify-content-sm-end justify-content-lg-end">
        <li class="ml-1">
            <button class="btn btn-light w-btn" (click)="accionCheque('nuevo')">
                <i class="fas fa-plus fa-lg text-primary"></i>
                <p class="pt-1 fs-text">Nuevo</p>
            </button>

        </li>
        <li class="ml-1" *ngIf="formCheque.estatus === 'A'">
            <button class="btn btn-light w-btn" (click)="accionCheque('imprimir')">
                <i class="fas fa-print fa-lg text-dark"></i>
                <p class="pt-1 fs-text">Imprimir</p>
            </button>
        </li>
        <li class="ml-1" *ngIf="formCheque.icheque && formCheque.estatus !== 'X'">
            <button class="btn btn-light w-btn" (click)="accionCheque('cancelar')">
                <i class="fas fa-ban fa-lg text-danger"></i>
                <p class="pt-1 fs-text">Cxld</p>
            </button>
        </li>
        <li class="ml-1"
            *ngIf="manttoCheque[3] === 'S' && formCheque.estatus === 'I' || formCheque.estatus === 'C' && manttoCheque[5] === 'S'">
            <button class="btn btn-light w-btn" (click)="accionCheque('pagar')">
                <i class="fas fa-credit-card fa-lg text-success"></i>
                <p class="pt-1 fs-text">Pagar</p>
            </button>
        </li>
        <li class="ml-1" *ngIf="manttoCheque[6] === 'S' && formCheque.estatus === 'I' || formCheque.estatus === 'C'">
            <button class="btn btn-light w-btn" (click)="accionCheque('reabrir')">
                <i class="fas fa-folder-open fa-lg text-warning"></i>
                <p class="pt-1 fs-text">Reabrir</p>
            </button>
        </li>
        <li class="ml-1" *ngIf="formCheque.estatus === 'X'">
            <button class="btn btn-light w-btn" (click)="accionCheque('reactivar')">
                <i class="fas fa-power-off fa-lg text-success"></i>
                <p class="pt-1 fs-text">Activar</p>
            </button>
        </li>
        <li class="ml-1" *ngIf="formCheque.estatus === 'C'">
            <button class="btn btn-light" (click)="accionCheque('facturar')">
                <i class="fas fa-file-invoice fa-lg text-dark"></i>
                <p class="pt-1 fs-text">Facturar</p>
            </button>
        </li>
        <li class="ml-1">
            <button class="btn btn-light w-btn" (click)="accionCheque('reiniciar')">
                <i class="fas fa-redo-alt fa-lg text-info"></i>
                <p class="pt-1 fs-text">Reiniciar</p>
            </button>
        </li>
    </div>
</div>